@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400&display=swap');

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  font-size: 10px;
  font-family: 'Inter', sans-serif;
}

.container {
  min-height: 1500px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Header Section */
#header {
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100vw;
  height: auto;
}

#header .header {
  min-height: 8vh;
  background-color: rgba(240, 248, 255, 0.001);
}

#header .nav-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  max-width: 1800px;
  padding: 0 10px;
}

#header .nav-list ul {
  list-style: none;
  position: absolute;
  background-color: black;
  width: 100vw;
  height: 100vh;
  left: 120%;
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 1;
  overflow-x: hidden;
  transition: 0.5s ease left;
}

#header .nav-list ul.active {
  left: 0;
}

#header .nav-list ul a {
  font-size: 2.5rem;
  font-weight: 500;
  letter-spacing: 0.2rem;
  text-decoration: none;
  color: white;
  text-transform: uppercase;
  padding: 50px;
  display: block;
}

#header .nav-list ul a::after {
  content: attr(data-after);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  color: rgba(240, 248, 255, 0.081);
  font-size: 12rem;
  letter-spacing: 50px;
  z-index: -1;
  transition: 0.5s ease letter-spacing;
}

#header .nav-list ul li:hover a::after {
  transform: translate(-50%, -50%) scale(1);
  letter-spacing: initial;
}

#header .nav-list ul li:hover a {
  color: #e6e6e6;
}

#header .hamburger {
  height: 40px;
  width: 40px;
  display: inline-block;
  border: 3px solid #e6e6e6;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
  cursor: pointer;
  margin-right: 20px;
}

#header .hamburger .bar {
  height: 2.3px;
  width: 60px;
  position: relative;
  background-color: #e6e6e6;
  z-index: -1;
}

#header .hamburger .bar::after,
#header .hamburger .bar::before {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: #e6e6e6;
  transition: 0.3s ease;
  transition-property: top, bottom;
}

#header .hamburger .bar::after {
  left: 10px;
  transform: rotate(60deg);
}

#header .hamburger .bar::before {
  bottom: 0px;
  left: -10px;
  transform: rotate(-60deg);
}

#header .hamburger.active .bar::before {
  bottom: 0;
  transform: rotate(90deg);
}

#header .hamburger.active .bar::after {
  top: 0;
  transform: rotate(90deg);
}

/* Hero Section */
#hero {
  background-image: url(/img/main.jpg);
  background-size: cover;
  height: 100%;
  width: 100%;
  display: flex;
  position: relative;
  margin-top: -250px;
  z-index: 1;
}

#hero::after {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: 0.6;
  z-index: -1;
}

#hero .hero {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 50px;
  justify-content: center;
}

#hero h1 {
  display: block;
  width: fit-content;
  font-size: 8rem;
  color: #e6e6e6;
  margin: 0 150px 175px 150px;
}

/* Popup */
.popup {
  position: absolute;
  top: -150%;
  opacity: 0;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.25);
  width: 70%;
  height: 40%;
  padding: 20px 30px;
  background: #fff;
  box-shadow: 2px 2px 5px 5px rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  transition: top 2000ms ease-in-out 2000ms, opacity 600ms ease-in-out 50ms, transform 600ms ease-in-out 50ms;
}

.popup.active {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
  top: 50%;
  transition: top 0ms ease-in-out 0ms, opacity 600ms ease-in-out 0ms, transform 600ms ease-in-out 0ms;
}

.popup button {
  margin-left: 0;
  padding: 3px 25px;
  font-size: 2rem;
  color: #e6e6e6;
  background: black;
  border: none;
  outline: none;
  cursor: pointer;
  border-radius: 5px;
  width: 100%;
}

.popup .close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 28px;
  height: 18px;
  background: black;
  color: #e6e6e6;
  text-align: center;
  font-size: 1.6rem;
  line-height: 15px;
  border-radius: 5px;
  cursor: pointer;
}

/* Responsive Styles */
@media (max-width: 1024px) {
  html {
    font-size: 9px;
  }

  #hero h1 {
    font-size: 6rem;
    margin: 0 50px 100px 50px;
  }

  .popup {
    width: 90%;
    height: 50%;
  }
}

@media (max-width: 768px) {
  html {
    font-size: 8px;
  }

  #header .nav-bar {
    padding: 0 5px;
    justify-content: space-between;
  }

  #header .nav-list ul a {
    font-size: 2rem;
  }

  #hero h1 {
    font-size: 4.5rem;
  }
}

@media (max-width: 480px) {
  html {
    font-size: 7px;
  }

  #header .nav-bar {
    align-items: center;
    justify-content: space-between;
  }

  #hero h1 {
    font-size: 3.5rem;
  }

  .popup {
    height: auto;
  }
}
